import java.util.*;
import java.io.*;

import static java.lang.Math.*;

public class Main {

    static Scanner sc = new Scanner(System.in);
    static PrintWriter pw = new PrintWriter(System.out);

    public static void main(String[] args) throws IOException {
        long k = sc.nextLong();
        long a = sc.nextLong(), x = sc.nextLong();
        long b = sc.nextLong(), y = sc.nextLong();

        long ans1 = max(0, (k - a)) * x;
        long ans2 = max(0, (k - b)) * y;
        long ans3 = max(max(0, (k - a)) * x + max(0, (k - b - a)) * y, max(0, (k - a - b)) * x + max(0, (k - b)) * y);

        pw.print(max(ans1, max(ans2, ans3)));
        pw.close();
    }
}

class Scanner {
    static BufferedReader br;
    static StringTokenizer st = new StringTokenizer("");

    public Scanner(InputStream inputStream) {
        br = new BufferedReader(new InputStreamReader(inputStream));
    }

    public String next() throws IOException {
        while (!st.hasMoreTokens())
            st = new StringTokenizer(br.readLine());
        return st.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(next());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(next());
    }

}