def getSum(l, r):
    return (r * (r + 1)) // 2 - (l * (l - 1)) // 2


def getAnsHor(hor):
    res = abs(firstHor * (2 * hor - n) + m * (getSum(0, hor - 1) - getSum(hor, n - 1)))
    return res


def hor():
    l = 0
    r = n - 1
    while (r - l > 2):
        m1 = l + (r - l) // 3
        m2 = r - (r - l) // 3
        if (getAnsHor(m1) > getAnsHor(m2)):
            l = m1
        else:
            r = m2

    res = [(getAnsHor(l), l + 1), (getAnsHor(l + 1), l + 2), (getAnsHor(l + 2), l + 3)]
    res.sort()
    return res[0]


def getAnsVer(ver):
    res = abs(firstVer * (2 * ver - m) + n * (getSum(0, ver - 1) - getSum(ver, m - 1)))
    return res


def ver():
    l = 0
    r = m - 1
    while (r - l > 2):
        m1 = l + (r - l) // 3
        m2 = r - (r - l) // 3
        if (getAnsVer(m1) > getAnsVer(m2)):
            l = m1
        else:
            r = m2

    res = [(getAnsVer(l), l + 1), (getAnsVer(l + 1), l + 2), (getAnsVer(l + 2), l + 3)]
    res.sort()
    return res[0]


def solve():
    global firstVer, firstHor
    firstVer = n + m * ((n * (n - 1)) // 2)
    firstHor = getSum(1, m)
    ansVer = ver()
    ansHor = hor()
    if (ansVer[0] > ansHor[0]):
        print("H", ansHor[1])
    else:
        print("V", ansVer[1])


t = int(input())
for test in range(t):
    n, m = map(int, input().split())
    solve()
