import java.util.*;
import java.io.*;

public class Main {
    static Scanner sc = new Scanner(System.in);
    static PrintWriter pw = new PrintWriter(System.out);

    public static void main(String[] args) throws IOException {
        long a = sc.nextLong();
        boolean goodMood = sc.nextInt() == 1;
        if (goodMood)
            solveGoodMood(a);
        else
            solveBadMood(a + "");

        pw.close();
    }

    static void solveGoodMood(long a) {
        pw.print((a + "").charAt(0));
        if (a > 9)
            solveBadMood((a + "").substring(1));
    }

    static void solveBadMood(String a) {
        String onesLine = "1";
        String firstLine = "";
        String nextLine = "";
        for (int i = 0; i < a.length(); i++) {
            onesLine += "1";
            firstLine += a.charAt(0);
            if (a.charAt(0) != '9')
                nextLine += (char) (a.charAt(0) + 1);
        }
        long first = Long.parseLong(firstLine);
        if (first - Long.parseLong(a) >= 0) pw.println(firstLine);
        else if (a.charAt(0) != '9') pw.println(nextLine);
        else pw.println(onesLine);
    }
}

class Scanner {
    static BufferedReader br;
    static StringTokenizer st = new StringTokenizer("");

    public Scanner(InputStream inputStream) {
        br = new BufferedReader(new InputStreamReader(inputStream));
    }

    public String next() throws IOException {
        while (!st.hasMoreTokens())
            st = new StringTokenizer(br.readLine());
        return st.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(next());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(next());
    }
}