import java.util.*;
import java.io.*;

public class Main {
    static Scanner sc = new Scanner(System.in);
    static PrintWriter pw = new PrintWriter(System.out);

    public static void main(String[] args) throws IOException {
        long a = sc.nextInt();
        boolean goodMood = sc.nextInt() == 1;
        if (goodMood)
            solveGoodMood(a);
        else
            solveBadMood(a);

        pw.close();
    }

    static void solveGoodMood(long a) {
        if (a < 10) {
            pw.print(a);
            return;
        }
        String ninesLine = (a + "").charAt(0) + "";
        String nextLine = (a + "").charAt(0) + "";
        String currentLine = (a + "").charAt(0) + "";
        for (int i = 1; i < (a + "").length(); i++) {
            ninesLine += "9";
            if ((a + "").charAt(1) != '9')
                nextLine += (char) ((a + "").charAt(1) + 1);
            currentLine += (a + "").charAt(1);
        }
        if (Long.parseLong(currentLine) - a < 0) {
            if ((a + "").charAt(1) == '9') pw.println(ninesLine);
            else pw.println(nextLine);
        } else
            pw.println(currentLine);
    }

    static void solveBadMood(long a) {
        String onesLine = "1";
        String firstLine = "";
        String nextLine = "";
        for (int i = 0; i < (a + "").length(); i++) {
            onesLine += "1";
            firstLine += (a + "").charAt(0);
            if ((a + "").charAt(0) != '9')
                nextLine += (char) ((a + "").charAt(0) + 1);
        }
        long ones = Long.parseLong(onesLine);
        long first = Long.parseLong(firstLine);
        if (first - a >= 0) pw.println(first);
        else if ((a + "").charAt(0) != '9') pw.println(nextLine);
        else pw.println(ones);
    }
}

class Scanner {
    static BufferedReader br;
    static StringTokenizer st = new StringTokenizer("");

    public Scanner(InputStream inputStream) {
        br = new BufferedReader(new InputStreamReader(inputStream));
    }

    public String next() throws IOException {
        while (!st.hasMoreTokens())
            st = new StringTokenizer(br.readLine());
        return st.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(next());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(next());
    }
}